org.gradle.tooling.model.idea

## Interface IdeaSingleEntryLibraryDependency

- All Superinterfaces:
    Dependency, ExternalDependency, IdeaDependency

      public interface IdeaSingleEntryLibraryDependency
      extends IdeaDependency, ExternalDependency

  "Single-Entry Module Library" as IDEA calls it. For example a single Jar file with sources Jar.
  Since:
    1.0-milestone-5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getFile()` Returns the file for this dependency.
    `File` | `getJavadoc()` Returns the Javadoc directory/archive for this dependency.
    `File` | `getSource()` Returns the source directory/archive for this dependency.

    - ### Methods inherited from interface org.gradle.tooling.model.idea.IdeaDependency

      `getExported, getScope`

    - ### Methods inherited from interface org.gradle.tooling.model.ExternalDependency

      `getGradleModuleVersion, isExported`

- - ### Method Detail

    - #### getFile

          File getFile()

      Returns the file for this dependency.
      Specified by:
        `getFile` in interface `ExternalDependency`
      Returns:
        The file. Never null.

    - #### getSource

          @Nullable
          File getSource()

      Returns the source directory/archive for this dependency.
      Specified by:
        `getSource` in interface `ExternalDependency`
      Returns:
        The source file. Returns null when the source is not available for this dependency.

    - #### getJavadoc

          @Nullable
          File getJavadoc()

      Returns the Javadoc directory/archive for this dependency.
      Specified by:
        `getJavadoc` in interface `ExternalDependency`
      Returns:
        The Javadoc file. Returns null when the Javadoc is not available for this dependency.